
\RequirePackage{fix-cm}
\documentclass[a4paper, 12pt]{report}

\usepackage[utf8]{inputenc}
\usepackage[romanian]{babel}
%\renewcommand\familydefault{\sfdefault} % sans serif

\usepackage[margin=3cm]{geometry}	% dimensiuni pagină și margini

% https://en.wikibooks.org/wiki/LaTeX/Special_Characters
%\usepackage[gen]{eurosym}

\usepackage[
backend=biber,
maxcitenames=1,
style=numeric,
citestyle=numeric,
sorting=nyt,
natbib=true
]{biblatex}
\addbibresource{bibliografie.bib}
% this is to avoid hypens
% https://tex.stackexchange.com/questions/109914/no-hyphens-in-biblatex
\appto{\bibsetup}{\raggedright}

%\usepackage{csquotes}


\usepackage{lmodern}% http://ctan.org/pkg/lm
\usepackage{anyfontsize}

% this is a fix for bibliography
\emergencystretch=1em


\usepackage{amsmath}
\usepackage{amsfonts}
\usepackage{amssymb}
\usepackage{graphicx}
%\usepackage{amsthm}

%%% Theorems and definitions

%\theoremstyle{plain}
%\newtheorem*{theorem*}{Teoremă}

%\theoremstyle{definition}
%\newtheorem*{def*}{Definiție}


\usepackage{bm}
\input{math_commands.tex}


\usepackage[bottom]{footmisc}


% formatting sections and subsections
\usepackage{textcase}
\usepackage[titletoc, title]{appendix}

% this is to remove numbers from chapters/sections
%\usepackage{titlesec}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%\titleformat{\chapter}{\large\bfseries\MakeUppercase}{\thechapter}{2ex}{9ex}[\vspace*{-1.5cm}]
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%\titleformat*{\section}{\large\bfseries}
%\titleformat*{\subsection}{\large\bfseries}
%\titleformat*{\subsubsection}{\large\bfseries}

%\usepackage{chngcntr}
%\counterwithout{figure}{chapter} % no chapter number in figure labels
%\counterwithout{table}{chapter} % no chapter number in table labels
%\counterwithout{equation}{chapter} % no chapter number in equation labels

\usepackage{booktabs} % for much better looking tables
\usepackage{url} % Useful for inserting web links nicely
\usepackage[
hidelinks,
bookmarks,
colorlinks=false,
unicode
]{hyperref}

\usepackage{caption}
\usepackage{subcaption}

\usepackage{array} % for better arrays (eg matrices) in maths
\usepackage{paralist} % very flexible & customisable lists (eg. enumerate/itemize, etc.)
\usepackage{verbatim} % adds environment for commenting out blocks of text & for better verbatim
%\usepackage{subcaption} % make it possible to include more than one captioned figure/table in a single float
\usepackage{enumitem}
\setlist{noitemsep}

%%% HEADERS & FOOTERS
\usepackage{fancyhdr}
%\pagestyle{empty}
\renewcommand{\headrulewidth}{0pt}
\renewcommand{\footrulewidth}{0pt}
\lhead{}\chead{}\rhead{}
\lfoot{}\cfoot{\thepage}\rfoot{}



\newcommand{\HeaderLineSpace}{0.5cm}
\newcommand{\UniTextRO}{UNIVERSITATEA BUCUREȘTI \\[\HeaderLineSpace]
FACULTATEA DE MATEMATICĂ ȘI INFORMATICĂ \\[\HeaderLineSpace]
SPECIALIZAREA TEHNOLOGIA INFORMAȚIEI\\}
\newcommand{\DiplomaRO}{LUCRARE DE LICENȚĂ}
\newcommand{\AdvisorRO}{Coordonator științific:}
\newcommand{\BucRO}{BUCUREȘTI}

\newcommand{\frontPage}[6]{
\begin{titlepage}
\begin{center}
{\Large #1}  % header (university, faculty, department)
\vspace{50pt}


\vspace{105pt}
{\Huge #2}\\                           % diploma project text
\vspace{40pt}
{\Large #3}\\ \vspace{10pt}  % project title
%{\Large #4}\\                          % project subtitle
\vspace{40pt}
{\LARGE \Name}\\                   % student name
\end{center}
\vspace{60pt}
\begin{tabular*}{\textwidth}{@{\extracolsep{\fill}}p{6cm}r}
&{\large\textbf{#4}}\vspace{10pt}\\      % scientific advisor
&{\large \Advisor}                                    % advisor name
\end{tabular*}
\vspace{80pt}
\begin{center}
{\large\textbf{#5}}\\                                % bucharest
\vspace{10pt}
{\normalsize \Year}
\end{center}
\end{titlepage}
}


\newcommand{\frontPageRO}{\frontPage{\UniTextRO}{\DiplomaRO}{\ProjectTitleRO}{\AdvisorRO}{\BucRO}}


\linespread{0.75}
\setlength\parindent{0pt}
\setlength\parskip{0.28cm}


\newcommand{\ProjectTitleRO}{Aspecte computaționale ale clasificării textelor foarte scurte după optimism sau pesimism}
%\newcommand{\ProjectSubtitleRO}{Iunie 2019}

\newcommand{\Name}{Marius Micluța-Câmpeanu}
\newcommand{\Advisor}{Prof. dr. Liviu P. Dinu}
\newcommand{\Year}{2019}

% Setări document
\title{Lucrare de licență}
\author{\Name}
\date{\Year}






\begin{document}
\frontPageRO

\begingroup
\linespread{1}
\setcounter{tocdepth}{2}
\setcounter{secnumdepth}{3}
\tableofcontents
\endgroup

\begingroup
\linespread{1.25}

\include{intro}
\include{c1}
\include{c2}
\include{c3}
\include{c4}
\endgroup

\printbibliography[title={Bibliografie}]
\end{document}

